function CrimeNetGui:hq_stars(job, inside)
	local stars_panel = job.side_panel:child("stars_panel")
	if alive(stars_panel) and job.job_id then
		stars_panel:clear()
		local difficulty_stars = job.difficulty_id - 2
		local x = 0
		local y = 0
		local start_difficulty = 1
		local num_difficulties = Global.SKIP_OVERKILL_290 and 5 or 6
		
		for i = start_difficulty, num_difficulties do
			stars_panel:bitmap({
				texture = "guis/textures/pd2/hud_difficultymarkers_2",
				h = 16.5,
				w = 17.5,
				layer = 0,
				x = x - 3,
				y = y - 3,
				rotation = 360,
				texture_rect = {
					i == 4 and 90 or i == 6 and 30 or 0,
					i >= 5 and 32 or 0,
					30,
					30
				},
				alpha = difficulty_stars < i and 0.5 or 1,
				blend_mode = difficulty_stars < i and "normal" or "add",
				color = difficulty_stars < i and Color.black or tweak_data.screen_colors.risk
			})

			x = x + 12
		end
	end
end

local gui = CrimeNetGui._create_job_gui
function CrimeNetGui:_create_job_gui(data, type, fixed_x, fixed_y, fixed_location)
	local gui_data = gui(self, data, type, fixed_x, fixed_y, fixed_location)
	
	self:hq_stars(gui_data, data)
	
	return gui_data
end

